# online – Online inventory source

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Get inventory hosts from Online

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---

groups
list

Choices:
- location
- offer
- rpn

List of groups.

hostnames
list

Choices:
- public_ipv4 ←
- private_ipv4
- hostname

Default:
["public_ipv4"]

List of preference about what to use as an hostname.

oauth_token - / required |  | env:ONLINE_TOKEN env:ONLINE_API_KEY env:ONLINE_OAUTH_TOKEN | Online OAuth token.

plugin
- / required

Choices:
- online

token that ensures this is a source file for the 'online' plugin.

## Examples

    # online_inventory.yml file in YAML format
    # Example command line: ansible-inventory --list -i online_inventory.yml

    plugin: online
    hostnames:
      - public_ipv4
    groups:
      - location
      - offer
      - rpn

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]

- This inventory is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.